import { Observable } from 'rxjs/Observable';
import 'rxjs/add/observable/fromEvent';
import 'rxjs/add/operator/map';
import 'rxjs/add/operator/debounceTime';
import 'rxjs/add/operator/filter';

export const RESIZE_EVENT = Observable.fromEvent(window, 'resize')
    .map(() => {
        return document.documentElement.clientWidth;
    })
    .debounceTime(200);
